import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const scSpacingCss = ":host{display:block}::slotted(*:not(:last-child)){margin-bottom:var(--spacing)}";

const ScSpacing = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
  }
  render() {
    return (h(Host, null, h("slot", null)));
  }
  static get style() { return scSpacingCss; }
}, [1, "sc-spacing"]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["sc-spacing"];
  components.forEach(tagName => { switch (tagName) {
    case "sc-spacing":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, ScSpacing);
      }
      break;
  } });
}
defineCustomElement();

export { ScSpacing as S, defineCustomElement as d };
